> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Dataset



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json patch /v2/datasets/{dataset_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/datasets/{dataset_id}:
    patch:
      tags:
        - datasets
      summary: Update Dataset
      operationId: update_dataset_v2_datasets__dataset_id__patch
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Dataset Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDatasetRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetDB'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    UpdateDatasetRequest:
      properties:
        name:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/Name'
            - type: 'null'
          title: Name
        column_mapping:
          anyOf:
            - $ref: '#/components/schemas/ColumnMapping'
            - type: 'null'
        draft:
          anyOf:
            - type: boolean
              const: false
            - type: 'null'
          title: Draft
      type: object
      title: UpdateDatasetRequest
    DatasetDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        permissions:
          items:
            $ref: '#/components/schemas/Permission'
          type: array
          title: Permissions
          default: []
        name:
          type: string
          title: Name
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        project_count:
          type: integer
          title: Project Count
        num_rows:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Rows
        column_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Column Names
        created_by_user:
          anyOf:
            - $ref: '#/components/schemas/UserInfo'
            - type: 'null'
        current_version_index:
          type: integer
          title: Current Version Index
        draft:
          type: boolean
          title: Draft
      type: object
      required:
        - id
        - name
        - created_at
        - updated_at
        - project_count
        - num_rows
        - column_names
        - created_by_user
        - current_version_index
        - draft
      title: DatasetDB
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Name:
      properties:
        value:
          type: string
          maxLength: 128
          minLength: 1
          title: Value
        append_suffix_if_duplicate:
          type: boolean
          title: Append Suffix If Duplicate
          default: false
      type: object
      required:
        - value
      title: Name
      description: Global name class for handling unique naming across the application.
    ColumnMapping:
      properties:
        input:
          anyOf:
            - $ref: '#/components/schemas/ColumnMappingConfig'
            - items:
                type: string
              type: array
            - type: 'null'
          title: Input
        output:
          anyOf:
            - $ref: '#/components/schemas/ColumnMappingConfig'
            - items:
                type: string
              type: array
            - type: 'null'
          title: Output
        generated_output:
          anyOf:
            - $ref: '#/components/schemas/ColumnMappingConfig'
            - items:
                type: string
              type: array
            - type: 'null'
          title: Generated Output
        metadata:
          anyOf:
            - $ref: '#/components/schemas/ColumnMappingConfig'
            - items:
                type: string
              type: array
            - type: 'null'
          title: Metadata
        mgt:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/ColumnMappingConfig'
              type: object
            - type: 'null'
          title: Mgt
      additionalProperties: true
      type: object
      title: ColumnMapping
    Permission:
      properties:
        action:
          anyOf:
            - $ref: '#/components/schemas/UserAction'
            - $ref: '#/components/schemas/GroupAction'
            - $ref: '#/components/schemas/GroupMemberAction'
            - $ref: '#/components/schemas/ProjectAction'
            - $ref: '#/components/schemas/RegisteredScorerAction'
            - $ref: '#/components/schemas/ApiKeyAction'
            - $ref: '#/components/schemas/GeneratedScorerAction'
            - $ref: '#/components/schemas/FineTunedScorerAction'
            - $ref: '#/components/schemas/DatasetAction'
            - $ref: '#/components/schemas/IntegrationAction'
            - $ref: '#/components/schemas/OrganizationAction'
            - $ref: '#/components/schemas/AnnotationQueueAction'
            - $ref: '#/components/schemas/ControlResourceAction'
          title: Action
        allowed:
          type: boolean
          title: Allowed
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - action
        - allowed
      title: Permission
    UserInfo:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
      type: object
      required:
        - id
        - email
      title: UserInfo
      description: A user's basic information, used for display purposes.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ColumnMappingConfig:
      properties:
        columns:
          items:
            type: string
          type: array
          title: Columns
        flatten:
          type: boolean
          title: Flatten
          default: false
      type: object
      required:
        - columns
      title: ColumnMappingConfig
    UserAction:
      type: string
      enum:
        - update
        - delete
        - read_api_keys
        - change_role_to_admin
        - change_role_to_manager
        - change_role_to_user
        - change_role_to_read_only
      title: UserAction
    GroupAction:
      type: string
      enum:
        - update
        - list_members
        - join
        - request_to_join
      title: GroupAction
    GroupMemberAction:
      type: string
      enum:
        - update_role
        - delete
      title: GroupMemberAction
    ProjectAction:
      type: string
      enum:
        - update
        - delete
        - rename
        - share
        - create_run
        - delete_run
        - rename_run
        - move_run
        - export_data
        - configure_human_feedback
        - record_human_feedback
        - log_data
        - toggle_metric
        - edit_alert
        - create_stage
        - edit_stage
        - configure_crown_logic
        - delete_data
        - set_metric
        - edit_run_tags
        - dismiss_alert
        - edit_slice
        - edit_edit
        - update_control_bindings
        - use_control_runtime
      title: ProjectAction
    RegisteredScorerAction:
      type: string
      enum:
        - update
        - delete
      title: RegisteredScorerAction
    ApiKeyAction:
      type: string
      enum:
        - update
        - delete
      title: ApiKeyAction
    GeneratedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: GeneratedScorerAction
    FineTunedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: FineTunedScorerAction
    DatasetAction:
      type: string
      enum:
        - update
        - delete
        - share
        - export
        - rename
      title: DatasetAction
    IntegrationAction:
      type: string
      enum:
        - update
        - delete
        - share
      title: IntegrationAction
    OrganizationAction:
      type: string
      enum:
        - rename
        - delete
        - delete_log_data
        - read_settings
        - update_settings
      title: OrganizationAction
    AnnotationQueueAction:
      type: string
      enum:
        - update
        - delete
        - share
        - record_annotation
      title: AnnotationQueueAction
    ControlResourceAction:
      type: string
      enum:
        - create
        - read
        - update
        - delete
      title: ControlResourceAction
      description: Actions on Agent Control's org-scoped ``control`` resource.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````